import * as AST from '../ast';
import Env from '../env';
import Token from '../token';

export class Mixin {
  public name: Token;
  public parameters: AST.Identifier[];
  public children: AST.Child[];

  public constructor(
    name: Token,
    parameters: AST.Identifier[],
    children: AST.Child[]
  ) {
    this.name = name;
    this.parameters = parameters;
    this.children = children;
  }
  public compile(env: Env, _opts: AST.Opts) {
    env.set(this.name.value, this);
    return '';
  }
}
